# QStyleOptionTabBarBase Class Reference

### [com.trolltech.qt.gui package]

Inherits QStyleOption.

### Constructor

- void QStyleOptionTabBarBase()
- void QStyleOptionTabBarBase(QStyleOptionTabBarBase other)

### Constructor Properties

- prototype: The QStyleOptionTabBarBase prototype object
- Version = 1
- StyleOptionVersion( value )
- Type = SO_TabBarBase
- StyleOptionType( value )

### Instance Properties

QStyleOptionTabBarBase objects have no special properties beyond those inherited from the QStyleOptionTabBarBase prototype object.